#! make -f
#----------------------------------------------------------------------------
# Project:  NT Manual Viewer - LibM2d - build
# File:     Makefile
#
# Copyright (C)2007-2009 Nintendo  All Rights Reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Revision: 1758 $
#----------------------------------------------------------------------------

include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/commondefs


#----------------------------------------------------------------------------
ifndef	NITRO_WITHOUT_DEMOS
SUBDIRS.DEMOS =	demos

ifdef	TWLMANUALTOOLS_PRIVATE
# SUBDIRS.TESTS =	tests 
endif

endif

ifdef	TWLMANUALTOOLS_PRIVATE
SUBDIRS.TOOLS = tools
endif

SUBDIRS = \
		libraries \
		$(SUBDIRS.TOOLS) \
		$(SUBDIRS.DEMOS) \
		$(SUBDIRS.TESTS)


#----------------------------------------------------------------------------

include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====
